<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    
 * @link       http://www.wowroster.net
 * @package    QDKPViewer
 * @subpackage Installer
*/
 
if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}
 
/**
 * Installer QDKPViewer
 *
 * @package    QDKPViewer
 * @subpackage Installer
 */
class QDKPViewerInstall
{
	var $active = true;
	var $icon = 'inv_misc_book_10';
 
	var $version = '2.0.0.1';
  var $wrnet_id = '0';
	var $fullname = 'QDKPViewer';
	var $description = 'QDKPViewer_desc';
	var $credits = array(
	array(	"name"=>	"Carasak",
			"info"=>	"Shows QDKP data and keeps a history of that data on a per update basis")
	);
 
	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer;
 
		// Master and menu entries
		$installer->add_config("1,'startpage','display','display','master'");
		$installer->add_config("110,'display',NULL,'blockframe','menu'");
		$installer->add_menu_button('QDKPViewerButton','guild','','inv_misc_book_10');
		$installer->create_table($installer->table('history'),"
			`guild_id` int(11) unsigned default NULL,
			`member_id` int(11) unsigned default NULL,
			`note` varchar(255)  default '',
			`update_time` timestamp NULL default NULL"); 
 
		return true;
	}
 
	function upgrade()
	{
		global $installer;
		if( version_compare( $oldversion, '2.0.0.1', '<' ) )
		{
			$installer->add_query("
				ALTER TABLE `" . $installer->table('history') . "`
				ADD `guild_id` int(11) unsigned default NULL FIRST");
				

				$installer->add_query("UPDATE `" . $installer->table('history') . "` SET `guild_id` = 1");
					
		}
		return true;
	}
	
 
	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;
 
		$installer->remove_all_config(); 
		$installer->remove_all_menu_button();
		$installer->drop_table($installer->table('history'));
		return true;
	}
}